<?php
/*
 * Template Name: Archives
 * 
 * @package InstaTheme
 * @subpackage InstaBeautyLite
*/
get_header(); // Get header template
$metaibt_fullwidth = get_post_meta($post->ID, 'metaibt_fullwidth', true);
$nosidebar = ( ($intheme['template'] == 'instaglow' || $intheme['template'] == 'instabeauty' ) && ($metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None') ) ? true : false;
$width_class = ( $nosidebar ) ? ' style="width:960px; margin-left: auto; margin-right:auto"' : '';
$cols = apply_filters('intheme_main_cols', 'col-sm-10 col-md-10 col-lg-10');
$content_width = ( $metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None' ) ? 'col-md-12' : $cols;
$content_class = ( $intheme['sidebar_position'] == 'Left' ) ? ' content-left' : ' content-right';
if ( $metaibt_fullwidth != 1 && $intheme['sidebar_position'] == 'Left' ) get_sidebar(); // Get left sidebar
$fullwidth_class = ( $metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None' ) ? '' : 'col-sm-height col-md-height col-lg-height';
?>

	<div id="primary" class="<?php echo $content_width; ?> col-top <?php echo $fullwidth_class; ?> site-content equal-height<?php echo $content_class; ?>">
		<div id="post" role="main">
			<div id="menutop_wrap">
				<?php do_action('intheme_member_menu'); ?>
			</div>
			<?php
			if ( $nosidebar )
				echo "<div{$width_class}>";
			?>
			
			<h2>Archives by Month</h2>
			<ul>
				<?php wp_get_archives('type=monthly&show_post_count=1'); ?>
			</ul>
			
			<h2>Archives by Subject</h2>
			<ul>
			<?php wp_list_categories('show_count=1&title_li='); ?>
			</ul>
			<?php
			if ( $nosidebar )
				echo "</div>";
			?>
		</div><!-- post -->
	</div><!-- primary -->

<?php
if ( $metaibt_fullwidth != 1 && $intheme['sidebar_position'] == 'Right' ) get_sidebar(); // Get right sidebar
get_footer(); // Get footer template