<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (esc_html__('Please do not load this file directly. Thanks!','instatheme'));

	if ( post_password_required() ) { ?>

<p class="nocomments"><?php esc_html_e('This post is password protected. Enter the password to view comments.','instatheme') ?></p>
<?php
		return;
	}
?>
<!-- You can start editing here. -->

<div id="comment-wrap">

	<?php if ( have_comments() ) : ?>

		<h3 id="comments"><?php comments_number(esc_html__('No Comments', 'instatheme'), esc_html__('One Comment','instatheme'), '% '.esc_html__('Comments','instatheme') );?></h3>

		<?php if ( get_comment_pages_count() > 1 && get_option('page_comments') ) : // Are there comments to navigate through? ?>
			<div class="comment_navigation_top clearfix">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'instatheme' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'instatheme' ) ); ?></div>
			</div> <!-- .navigation -->
		<?php endif; // check for comment navigation ?>

		<ol class="commentlist clearfix">
			<?php wp_list_comments( array('callback' => 'instatheme_custom_comments') ); ?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option('page_comments') ) : // Are there comments to navigate through? ?>
			<div class="comment_navigation_bottom clearfix">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'instatheme' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'instatheme' ) ); ?></div>
			</div> <!-- .navigation -->
		<?php endif; // check for comment navigation ?>

	<?php else : // this is displayed if there are no comments so far ?>
	   <div id="comment-section" class="nocomments">
		  <?php if ( 'open' == $post->comment_status ) : ?>
			 <!-- If comments are open, but there are no comments. -->

		  <?php else : // comments are closed ?>
			 <!-- If comments are closed. -->
				
		  <?php endif; ?>
	   </div>
	<?php endif; ?>
	<?php if ( 'open' == $post->comment_status ) : ?>
		<?php comment_form( array('comment_notes_after' => '', 'label_submit' => esc_attr__( 'submit', 'instatheme' ), 'title_reply' => '<span>' . esc_attr__( 'Leave a Comment', 'instatheme' ) . '</span>', 'title_reply_to' => esc_attr__( 'Leave a Reply to %s' )) ); ?>
	<?php else: ?>

	<?php endif; // if you delete this the sky will fall on your head ?>

</div>