<?php
if ( function_exists('register_sidebar') ) :
	register_sidebar(
		array(
			'name' => 'InstaTheme Sidebar',
			'id' => 'insta-sidebar',
	        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	        'after_widget' => '</aside>',
	        'before_title' => '<h3 class="widget-title">',
	        'after_title' => '</h3>',
		)
	);
endif;
 
add_action('init', 'insth_register_menus');
function insth_register_menus() {
	register_nav_menus(
		array(
				'menu-1' => __( 'Main Menu' ),
				'menu-2' => __( 'Main Menu (Member)' ),
				'menu-3' => __( 'Footer Menu' ),
				'menu-5' => __( 'Sidebar Menu (Member)' ),
				'menu-6' => __( 'Topnav Menu (Member)' )
			)
	);
}

$has_nav_menu_message = "Please adjust Menu Theme Location &amp; Menu Item, the setting is located on Appearance -> Menus";
$has_nav_menu_message = "";

if ( isset($_GET['activated']) && is_admin() ) {
	if ( !is_nav_menu('Main Menu') ) {
		$menu_id = wp_create_nav_menu( 'Main Menu' );
	}
    if ( !is_nav_menu('Main Menu (Member)') ) {
		$menu_id = wp_create_nav_menu( 'Main Menu (Member)' );
	}
    if ( !is_nav_menu('Footer Menu' ) ) {
		$menu_id = wp_create_nav_menu( 'Footer Menu' );
	}
	if ( !is_nav_menu('Sidebar Menu (Member)') ) {
		$menu_id = wp_create_nav_menu( 'Sidebar Menu (Member)' );
	}
	if ( !is_nav_menu('Topnav Menu (Member)') ) {
		$menu_id = wp_create_nav_menu( 'Topnav Menu (Member)' );
	}
}

// Theme Support
add_theme_support('post-thumbnails');