<?php
global $intheme;
$sidebar_class = ( $intheme['sidebar_position'] == 'Left' ) ? ' sidebar-left' : ' sidebar-right';
$side_cols = apply_filters('intheme_side_cols', 'col-sm-2 col-md-2 col-lg-2');
$side_heights = apply_filters('intheme_same_height', 'col-sm-height col-md-height col-lg-height');
?>
<div id="sidebar" class="<?php echo $side_cols . $sidebar_class; ?> <?php echo $side_heights; ?> equal-height">
	<?php do_action('intheme_before_widgets'); ?>
	<?php do_action('intheme_sidebar_menu'); ?>
	<?php if ( is_active_sidebar( 'insta-sidebar' ) ) : ?>
		<div class="sidebar widget-area hidden-xs">
			<?php dynamic_sidebar( 'insta-sidebar' ); ?>
		</div>
	<?php endif; ?>
	<?php do_action('intheme_after_widgets'); ?>
</div><!-- sidebar -->