(function() {
	"use strict";
	tinymce.create('tinymce.plugins.instamember', {
		init : function(ed, url) {
			ed.addButton( 'instamember', {
				type: 'listbox',
				text: 'InstaMember',
				icon: false,
				onselect: function(e) {
					
                }, 
                values: [
                	{text: '[-- members content --]', onclick : function() {
                       // do nothing
                    }},
            
                	{text: 'Login Form', onclick : function() {
                        var log = '';
						log += '[insta_login label_username="Email Address OR Username" label_password="Password" label_button="Log In" redirect_url="" remember="yes" label_remember="Remember Me"]';
						tinyMCE.activeEditor.selection.setContent(log);
                    }},
                    
                    {text: 'Protect Section', onclick : function() {
                        var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Your protected content here';
						var col = '';
						col += '[insta_protect ids="PRODUCT_ID_HERE"]' + content + '[/insta_protect]';
						tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Download Link', onclick : function() {
                        var txt_label = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Click Here To Download';
						var col = '';
						col += '[insta_download file="YOUR_FILE_NAME.zip"]' + txt_label + '[/insta_download]';
						tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'S3 Download Link', onclick : function() {
                        var txt_label = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Click Here To Download';
						var col = '';
						col += '[insta_download type="s3" file="YOUR_FILE_NAME.zip"]' + txt_label + '[/insta_download]';
                    }},
                    
                    {text: 'S3 Video', onclick : function() {
                        var col = '';
						col += '[insta_s3_video player="flowplayer" file="YOUR_VIDEO_FILE_NAME.mp4" width="640" height="360" autoplay="1" autohide="1"]';
						tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                   	{text: 'License Key', onclick : function() {
                        var col = '';
						col += '[insta_license id="PRODUCT_ID_HERE"]';
						tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Purchased Product(s)', onclick : function() {
                        var col = '';
						col += '[insta_purchases]';
						tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Haven\'t Bought Product(s)', onclick : function() {
                        var col = '';
						col += '[insta_offers]';
						tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: '[-- member info --]', onclick : function() {
                        
                    }},
                    
                    {text: 'Member\'s Username', onclick : function() {
                        var col = '';
							col += '[insta_member type="username"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Email', onclick : function() {
                        var col = '';
							col += '[insta_member type="email"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s First Name', onclick : function() {
                        var col = '';
							col += '[insta_member type="firstname"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Last Name', onclick : function() {
                        var col = '';
							col += '[insta_member type="lastname"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Title', onclick : function() {
                        var col = '';
							col += '[insta_member type="title"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Address', onclick : function() {
                        var col = '';
							col += '[insta_member type="address"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s City', onclick : function() {
                        var col = '';
							col += '[insta_member type="city"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s State', onclick : function() {
                        var col = '';
							col += '[insta_member type="state"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Zip Code', onclick : function() {
                        var col = '';
							col += '[insta_member type="zipcode"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Country', onclick : function() {
                        var col = '';
							col += '[insta_member type="country"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Phone#', onclick : function() {
                        var col = '';
							col += '[insta_member type="phone"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Gender', onclick : function() {
                        var col = '';
							col += '[insta_member type="gender"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Member\'s Company', onclick : function() {
                        var col = '';
							col += '[insta_member type="company"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: '[-- Reg/Payment Link --]', onclick : function() {
                     
                    }},
                    
                    {text: 'Normal Text Link', onclick : function() {
                        var txt_label = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Order Now';
							var col = '';
							col += '[insta_link id="PRODUCT_ID_HERE" payment="PAYMENT_METHOD_HERE" target="_self"]' + txt_label + '[/insta_link]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Normal Image Link', onclick : function() {
                        var col = '';
							col += '[insta_link id="PRODUCT_ID_HERE" payment="PAYMENT_METHOD_HERE" target="_self"]YOUR_IMAGE_URL_HERE[/insta_link]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                
                
              		// Reg/Payment Buttons
					{text: '[-- Reg/Payment Buttons --]', onclick : function() {
                     
                    }},
                    
                    {text: 'Add To Cart - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_addtocart" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Add To Cart - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_addtocart" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Checkout - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_checkout" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Checkout - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_checkout" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Download Now - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_download" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Download Now - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_download" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Order Now - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_order" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Order Now - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_order" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
					{text: '[-- Auto-Switch Payment Buttons --]', onclick : function() {
                     
                    }},
                    
                    {text: 'Add To Cart - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_addtocart"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Add To Cart - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_addtocart"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Checkout - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_checkout"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Checkout - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_checkout"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Download Now - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_download"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Download Now - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_download"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Order Now - Orange', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_order"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Order Now - Yellow', onclick : function() {
                     	var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_order" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
				
					{text: '[-- affiliates --]', onclick : function() {
                     
                    }},
                    
                    {text: 'Global Aff. Link', onclick : function() {
                     	var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : '';
							var col = '';
							if ( content != '' )
								col += '[insta_aff_link]' + content + '[/insta_aff_link]';
							else
								col += '[insta_aff_link]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Product Aff. Link', onclick : function() {
                     	var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : '';
							var col = '';
							if ( content != '' )
								col += '[insta_aff_link id="PRODUCT_ID_HERE"]' + content + '[/insta_aff_link]';
							else
								col += '[insta_aff_link id="PRODUCT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Aff. Link /w Custom Landing Page', onclick : function() {
                     	var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : '';
							var col = '';
							if ( content != '' )
								col += '[insta_aff_link url="LANDING_PAGE_URL_HERE"]' + content + '[/insta_aff_link]';
							else
								col += '[insta_aff_link url="LANDING_PAGE_URL_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Aff. Banner', onclick : function() {
                     	var col = '';
								col += '[insta_aff_banner image="BANNER_URL_HERE" width="468" height="60" id="PRODUCT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
                    {text: 'Aff. Swipe', onclick : function() {
                     	var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'YOUR_SWIPE_CONTENT_HERE';
							var col = '';
							col += '[insta_aff_swipe subject="SWIPE_SUBJECT_HERE"]' + content + '[/insta_aff_swipe]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }},
                    
					{text: '[-- misc. --]', onclick : function() {
                     
                    }},
                    
                    {text: 'Discount Order Form', onclick : function() {
                     	var col = '';
							col += '[insta_discount id="DISCOUNT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
                    }}
                ]
         	});
		},
		
		getInfo : function() {
			return {
				longname : "InstaMember Shortcodes",
				author : 'Suzanna Theresia',
				authorurl : 'http://instamember.com/',
				infourl : 'http://instamember.com/',
				version : "1.1"
			};
		}
	});
	
	tinymce.PluginManager.add('instamember', tinymce.plugins.instamember);
})();