<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package InstaTheme
 * 
 */
 
global $intheme, $post;

$post_id = get_the_ID();
$meta = get_post_meta($post_id, 'insta_editor', true);
$metaibt_fullwidth = get_post_meta($post->ID, 'metaibt_fullwidth', true);
$nosidebar = ( ($intheme['template'] == 'instaglow' || $intheme['template'] == 'instabeauty' ) && ($metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None') ) ? true : false;
$width_class = ( $nosidebar ) ? ' style="width:960px; margin-left: auto; margin-right:auto"' : '';
$entry_height = ( !empty($meta['height']) && !empty($meta['editor']) && $meta['editor'] == 'flex' ) ? ' style="height:' . $meta['height'] . 'px;"' : '';
$title_style = '';
if ( isset($meta['hide_title']) && $meta['hide_title'] == 'yes' ) $title_style = ' style="display:none"';
?>
	
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?><?php echo $width_class; ?>>
		<header class="entry-header">
			<h1 class="entry-title"<?php echo $title_style; ?>><?php the_title(); ?></h1>
		</header><!-- .entry-header -->

		<div class="entry-content insta-sortable"<?php echo $entry_height; ?>>
			<?php the_content(); ?>
		</div>

		<footer class="entry-meta">
			
		</footer><!-- .entry-meta -->
	</article><!-- #post -->
