<?php
/**
 * The template for displaying the footer.
 *
 * Contains footer content and the closing of the
 * #main and #page div elements.
 *
 * @package InstaTheme
 * 
 */
 
global $intheme;
?>
		<div class="clearfix"></div>
		</div><!-- inside-wrapper -->
	</div><!-- main-wrapper -->
	<?php do_action('intheme_after_content'); ?>
	
	<footer id="site-footer">
		<div class="col-md-12 footer-content">
			<?php do_action('intheme_footer_info');

			if ( has_nav_menu( 'menu-3' ) ) {
				wp_nav_menu( array( 'theme_location' => 'menu-3', 'menu_class' => 'menufooter', 'menu_id' => '', 'container' => '', 'depth' => 1 ) ); 
			}
			?>
			<?php if ( !empty($intheme['logo']) ) : ?>
			<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
				<img src="<?php echo stripslashes($intheme['logo']); ?>" alt="<?php bloginfo('name'); ?>" border="0" style="width:140px; max-width:100%; height:auto;" />
			</a>
			<?php endif; ?>
		</div>
		<div class="clearfix"></div>
	</footer>
</div><!-- wrapall -->

<?php do_action('intheme_after_container'); ?>

<!-- Scroll To Top -->
<div class="visible-desktop">
	<p id="back-top">
		<a href="#top" title="Back to Top"><img src="<?php echo INTHEME_IMAGES; ?>arrow_white-top.png" alt="Top"></a>
	</p>
</div><!-- visible-desktop -->
<?php do_action('insta_footer'); ?>
<?php wp_footer(); ?>
</body>
</html>