<?php
add_action('init', 'intheme_auto_update');
function intheme_auto_update() {
	require INTHEME_LIB . 'updater/theme-update-checker.php';
	$updateChecker = new ThemeUpdateChecker(
		'InstaTheme', // Theme slug. Usually the same as the name of its directory.
		'http://instatheme.com/auto-update-server/?action=get_metadata&slug=InstaTheme' // Metadata URL.
	);
}

require_once (INTHEME_SMOF . 'index.php'); // Load SMOF Options Framework

$intheme = ( intheme_operation() ) ? of_get_options() : array('template' => 'unregistered'); // load theme options
//$intheme['template'] = 'instaglow'; // temporary var only

require_once (INTHEME_LIB . 'functions/theme.php'); // theme functions
require_once (INTHEME_LIB . 'functions/membership.php'); // membership functions
require_once (INTHEME_LIB . 'functions/editor.php'); // editor functions
require_once (INTHEME_LIB . 'functions/menus.php'); // admin menus icon manager
require_once (INTHEME_LIB . 'functions/meta.php'); // admin meta box
require_once (INTHEME_LIB . 'functions/register.php'); // register sidebars, menus & theme support

// load current template file...
if ( file_exists(INTHEME_LIB . "templates/{$intheme['template']}/index.php") )
	require_once (INTHEME_LIB . "templates/{$intheme['template']}/index.php");

